package com.gic.haoban.manage.api.dto;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * tab_haoban_open_staff
 */
public class OpenStaffDTO implements Serializable {
    /**
     * 主键
     */
    private Long openStaffId;

    /**
     * 企微id
     */
    private String wxEnterpriseId;
    private String enterpriseId ;

    /**
     * 成员id
     */
    private String staffId;
    /**
     * 成员名称
     */
    private String staffName ;
    /**
     * 成员头像
     */
    private String staffHeadImg ;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    /**
     * 客户端id
     */
    private String uuid;

    /**
     * 是否删除1是0否
     */
    private Integer deleteFlag;

    /**
     * 1授权中 2未登录(已过期)
     */
    private Integer statusFlag;

    /**
     * 登录步骤1已扫码 2取消登录 3超时 4验证码正确
     */
    private Integer step;

    /**
     * 企微的userid
     */
    private Long qwUserId;

    /**
     * 企微的企业id
     */
    private Long wxCorpId;

    /**
     * 一次扫码内容
     */
    private String qrCode1;

    /**
     * 一次扫码内容
     */
    private String key1;

    /**
     * 二次扫码内容
     */
    private String qrCode2;

    /**
     * 二次扫码内容
     */
    private String key2;

    /**
     * 是否需要验证码
     */
    private Integer validFlag;

    /**
     * 最新授权时间
     */
    private Date authTime;

    /**
     * 首次授权时间
     */
    private Date firstAuthTime;

    /**
     * 需要二次扫码
     */
    private Integer validQrcodeFlag ;

    /**
     * 登录错误信息
     */
    private String loginRemark ;

    private String qrcodeData ;

    /**
     * 下一次加好友间隔时间分钟
     */
    private int  addStopTime ;
    /**
     * 下一次删除好友间隔时间分钟
     */
    private int delStopTime ;

    /**
     * tab_haoban_open_staff
     */
    private static final long serialVersionUID = 1L;

    public int getAddStopTime() {
        return addStopTime;
    }

    public void setAddStopTime(int addStopTime) {
        this.addStopTime = addStopTime;
    }

    public int getDelStopTime() {
        return delStopTime;
    }

    public void setDelStopTime(int delStopTime) {
        this.delStopTime = delStopTime;
    }

    public String getQrcodeData() {
        return qrcodeData;
    }

    public void setQrcodeData(String qrcodeData) {
        this.qrcodeData = qrcodeData;
    }

    public String getStaffName() {
        return staffName;
    }

    public void setStaffName(String staffName) {
        this.staffName = staffName;
    }

    public String getStaffHeadImg() {
        return staffHeadImg;
    }

    public void setStaffHeadImg(String staffHeadImg) {
        this.staffHeadImg = staffHeadImg;
    }

    public String getLoginRemark() {
        return loginRemark;
    }

    public void setLoginRemark(String loginRemark) {
        this.loginRemark = loginRemark;
    }

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public Integer getValidQrcodeFlag() {
        return validQrcodeFlag;
    }

    public void setValidQrcodeFlag(Integer validQrcodeFlag) {
        this.validQrcodeFlag = validQrcodeFlag;
    }

    public Long getOpenStaffId() {
        return openStaffId;
    }

    public void setOpenStaffId(Long openStaffId) {
        this.openStaffId = openStaffId;
    }

    public String getWxEnterpriseId() {
        return wxEnterpriseId;
    }

    public void setWxEnterpriseId(String wxEnterpriseId) {
        this.wxEnterpriseId = wxEnterpriseId == null ? null : wxEnterpriseId.trim();
    }

    public String getStaffId() {
        return staffId;
    }

    public void setStaffId(String staffId) {
        this.staffId = staffId == null ? null : staffId.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getUuid() {
        return uuid;
    }

    public void setUuid(String uuid) {
        this.uuid = uuid == null ? null : uuid.trim();
    }

    public Integer getDeleteFlag() {
        return deleteFlag;
    }

    public void setDeleteFlag(Integer deleteFlag) {
        this.deleteFlag = deleteFlag;
    }

    public Integer getStatusFlag() {
        return statusFlag;
    }

    public void setStatusFlag(Integer statusFlag) {
        this.statusFlag = statusFlag;
    }

    public Integer getStep() {
        return step;
    }

    public void setStep(Integer step) {
        this.step = step;
    }

    public Long getQwUserId() {
        return qwUserId;
    }

    public void setQwUserId(Long qwUserId) {
        this.qwUserId = qwUserId;
    }

    public Long getWxCorpId() {
        return wxCorpId;
    }

    public void setWxCorpId(Long wxCorpId) {
        this.wxCorpId = wxCorpId;
    }

    public String getQrCode1() {
        return qrCode1;
    }

    public void setQrCode1(String qrCode1) {
        this.qrCode1 = qrCode1 == null ? null : qrCode1.trim();
    }

    public String getKey1() {
        return key1;
    }

    public void setKey1(String key1) {
        this.key1 = key1 == null ? null : key1.trim();
    }

    public String getQrCode2() {
        return qrCode2;
    }

    public void setQrCode2(String qrCode2) {
        this.qrCode2 = qrCode2 == null ? null : qrCode2.trim();
    }

    public String getKey2() {
        return key2;
    }

    public void setKey2(String key2) {
        this.key2 = key2 == null ? null : key2.trim();
    }

    public Integer getValidFlag() {
        return validFlag;
    }

    public void setValidFlag(Integer validFlag) {
        this.validFlag = validFlag;
    }

    public Date getAuthTime() {
        return authTime;
    }

    public void setAuthTime(Date authTime) {
        this.authTime = authTime;
    }

    public Date getFirstAuthTime() {
        return firstAuthTime;
    }

    public void setFirstAuthTime(Date firstAuthTime) {
        this.firstAuthTime = firstAuthTime;
    }
}